using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Drawing;
using System.Collections.Generic;
using Telerik.Charting;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        List<FinanceData> data = new List<FinanceData>();
        data.Add(new FinanceData("Parka L", 120, 100));
        data.Add(new FinanceData("Parka M", 100, 20));
        data.Add(new FinanceData("Parka S", 132, 150));
        data.Add(new FinanceData("Wool Cap", 45, 70));
        data.Add(new FinanceData("Mittens", 67, 100));
        RadChart1.DataSource = data;
        ChartSeries series1 = new ChartSeries();
        series1.Type = ChartSeriesType.Bar;
        series1.DataYColumn = "RevenueSeries1";
        //second serie
        ChartSeries series2 = new ChartSeries();
        series2.Type = ChartSeriesType.Bar;
        series2.DataYColumn = "RevenueSeries2";
        //axis labels
        RadChart1.PlotArea.XAxis.DataLabelsColumn = "CustomLabel";
        RadChart1.DataBind();
        // for better layout of the chart area
        RadChart1.AutoLayout = true;
        RadChart1.PlotArea.XAxis.Appearance.LabelAppearance.RotationAngle = -45;
    }

    public class FinanceData
    {
        public FinanceData(string customLabel, int revenueSeries1, int revenueSeries2)
        {
            _customLabel = customLabel;
            _revenueSeries1 = revenueSeries1;
            _revenueSeries2 = revenueSeries2;
        }
        private string _customLabel;
        public string CustomLabel
        {
            get { return _customLabel; }
            set { _customLabel = value; }
        }

        private int _revenueSeries1;
        public int RevenueSeries1
        {
            get { return _revenueSeries1; }
            set { _revenueSeries1 = value; }
        }

        private int _revenueSeries2;
        public int RevenueSeries2
        {
            get { return _revenueSeries2; }
            set { _revenueSeries2 = value; }
        }

    }
}